Subject: [PATCH v2 00/17] kvm-arm: Add stage2 page table walker

From: [email-masked] (Christoffer Dall)
Date: Thu, 14 Apr 2016 18:41:45 +0200

On Thu, Apr 14, 2016 at 05:11:11PM +0100, Suzuki K Poulose wrote:
> On 14/04/16 17:03, Christoffer Dall wrote:
> >On Thu, Apr 14, 2016 at 02:29:22PM +0100, Suzuki K Poulose wrote:
> >>On 14/04/16 14:20, Suzuki K Poulose wrote:
> >>>This series adds support for stage2 page table helpers and makes
> >>>the core kvm-arm MMU code make use of it. At the moment we assume
> >>>that the host/hyp and the stage2 page tables have same number of
> >>>levels and hence use the host level accessors (except for some
> >>>hooks, e.g kvm_p.d_addr_end) and shares the routines for unmapping
> >>>the page table ranges.
> >>
> >>>The tree is available at :
> >>>       git://linux-arm.org/linux-skp.git kvm-stage2/v2
> >>
> >>Please note that the tree above contains one additional patch on top of kvmarm/master :
> >>commit	91ad0db16a42a7d3("arm64/sunxi: 4.6-rc1: Add dependency on generic irq chip"),
> >>which is there to fix a build break with ARCH_SUNXI selected on 4.6-rc1.
> >>
> >ok, but I can just build/test this without ARCH_SUNXI and pick the
> >remains of this series only for kvmarm/next, as far as I can tell,
> >right?
> 
> Definitely. Its something that got carried over from my tree on top of 4.6-c1.
> You can pick this series from there or use the new branch (which I just pushed)
> - kvm-stage2/v2.1 - ,removing the ARCH_SUNXI patch.
> 
> /me should have silently fixed the branch ! Sorry about that
> 
No worries.  I pushed the stuff I picked from your previous branch plus
the changes to bool values that Marc asked for (and added my
signed-off-by to those) and put it all on kvmarm/queue:

git://git.kernel.org/pub/scm/linux/kernel/git/kvmarm/kvmarm.git queue

Thanks,
-Christoffer